javax.security.auth.message.config

## Interface AuthConfig

- All Known Subinterfaces:
    ClientAuthConfig, ServerAuthConfig

      public interface AuthConfig

  This interface defines the common functionality implemented by Authentication context configuration objects.
  See Also:
    `ClientAuthContext`, `ServerAuthContext`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAppContext()` Get the application context identifier of this authentication context configuration object.
    `String` | `getAuthContextID(MessageInfo messageInfo)` Get the authentication context identifier corresponding to the request and response objects encapsulated in messageInfo.
    `String` | `getMessageLayer()` Get the message layer name of this authentication context configuration object.
    `boolean` | `isProtected()` Used to determine whether the authentication context configuration object encapsulates any protected authentication contexts.
    `void` | `refresh()` Causes a dynamic authentication context configuration object to update the internal state that it uses to process calls to its `getAuthContext` method.

- - ### Method Detail

    - #### getMessageLayer

          String getMessageLayer()

      Get the message layer name of this authentication context configuration object.
      Returns:
        The message layer name of this configuration object, or null if the configuration object pertains to an unspecified message layer.

    - #### getAppContext

          String getAppContext()

      Get the application context identifier of this authentication context configuration object.
      Returns:
        The String identifying the application context of this configuration object, or null if the configuration object pertains to an unspecified application context.

    - #### getAuthContextID

          String getAuthContextID(MessageInfo messageInfo)

      Get the authentication context identifier corresponding to the request and response objects encapsulated in messageInfo.
      Parameters:
        `messageInfo` - A contextual Object that encapsulates the client request and server response objects.
      Returns:
        The authentication context identifier corresponding to the encapsulated request and response objects, or null.
      Throws:
        `IllegalArgumentException` - If the type of the message objects incorporated in messageInfo are not compatible with the message types supported by this authentication context configuration object.

    - #### refresh

          void refresh()

      Causes a dynamic authentication context configuration object to update the internal state that it uses to process calls to its `getAuthContext` method.
      Throws:
        `SecurityException` - If the caller does not have permission to refresh the configuration object, or if an error occurred during the update.

    - #### isProtected

          boolean isProtected()

      Used to determine whether the authentication context configuration object encapsulates any protected authentication contexts.
      Returns:
        True if the configuration object encapsulates at least one protected authentication context. Otherwise, this method returns false.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.